body {
  margin: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-family: "zabras", Arial, Helvetica, sans-serif;
  background-image: url("./img/bg.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #c87319;
  height: 100vh;
}

.allow-sounds-wrap {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 140px;
  width: 480px;
  background-color: #a8651e;
  font-family: "indieFlower";
  border-radius: 12px;
  z-index: 10000;
  font-size: 20px;
  text-align: center;
  padding: 16px 8px;
}

.allow-sounds-btn {
  display: flex;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-family: "indieFlower";
  height: 48px;
  font-size: 32px;
  justify-content: center;
  align-items: center;
  padding: 8px 16px;
  border-radius: 12px;
  border: none;
  background-color: #eac073;
  z-index: 10000;
  pointer-events: all;
}

.allow-sounds-btn:hover {
  transform: translate(-50%, -50%) scale(1.05);
}

.bg-dimmed {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;
  pointer-events: all;
}

canvas {
  background-repeat: no-repeat;
  background-position: right;
  background-size: cover;
  cursor: pointer;
}

.canvas-btn-wrap {
  position: relative;
}

@font-face {
  font-family: "zabras";
  src: url("./fonts/zabars/ZABARS/Zabars.ttf");
}

@font-face {
  font-family: "indieFlower";
  src: url("./fonts/Indie_Flower/IndieFlower-Regular.ttf");
}

h1 {
  font-size: 60px;
  letter-spacing: 3px;
  text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.5);
  margin: 0;
}

.h1-index {
  padding: 40px 40px 16px 40px;
}

button {
  cursor: pointer;
}

.game-screen {
  background-position: right;
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

.start-screen {
  background-image: url("./img/img_pollo_locco/9_intro_outro_screens/start/startscreen_1.png");
}

.end-screen-won {
  display: none;
  background-image: url("img/img_pollo_locco/5_background/first_half_background.png");
}

.end-screen-lost {
  display: none;
  background-image: url("img/img_pollo_locco/5_background/first_half_background.png");
}

.end-screen-img {
  height: 340px;
  padding: 16px 0;
}

.screen-btn {
  position: absolute;
  top: 64px;
  transform: translate(-50%, 0);
  font-family: "indieFlower";
  height: 40px;
  font-size: 32px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 8px 16px;
  border-radius: 12px;
  border: none;
  background-color: #eac073;
}

.start-btn {
  left: 50%;
}

.restart-btn {
  left: 33%;
}

.home-btn {
  left: 67%;
}

.screen-btn:hover {
  transform: translate(-50%, 0) scale(1.05);
}

.instruction-wrap {
  display: flex;
  align-items: center;
  gap: 20px;
  font-family: "indieFlower";
}

.instruction-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 28px;
}

.instruction-img {
  width: 48px;
  height: 48px;
  margin: 0 -8px;
}

.d-key-instruction-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 28px;
  gap: 6px;
}

.d-key {
  font-family: Arial, Helvetica, sans-serif;
}

.lnk {
  color: black;
  font-family: Arial, Helvetica, sans-serif;
  text-decoration: none;
}

.lnk:hover {
  cursor: pointer;
  color: #6b461f;
}

.turn-device {
  display: none;
}

.turn-device-text {
  font-family: Arial, Helvetica, sans-serif;
  color: white;
  font-size: 32px;
  text-align: center;
}

.mobile-steering {
  display: none;
  justify-content: space-between;
  gap: 160px;
}

.mobile-btn-wrap {
  display: none;
}

.mobile-btn {
  height: 32px;
  width: 32px;
  border-radius: 20px;
  background-repeat: no-repeat;
  background-position: center;
  background-color: #d1792b;
  position: absolute;
}

.mobile-btn:hover {
  cursor: pointer;
}

.mobile-btn-up {
  background-image: url("./icons/arrow_up.svg");
  bottom: 88px;
  right: 24px;
}

.mobile-btn-left {
  background-image: url("./icons/arrow_left.svg");
  bottom: 24px;
  left: 24px;
}

.mobile-btn-right {
  background-image: url("./icons/arrow_right.svg");
  bottom: 88px;
  left: 24px;
}

.mobile-btn-throw {
  background-image: url("./icons/handball.svg");
  bottom: 24px;
  right: 24px;
}

.canvas-subline {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 72px;
}

.btn-mute {
  background-image: url("./icons/volume_off.svg");
  background-repeat: no-repeat;
  background-position: center;
  height: 32px;
  width: 32px;
  background-color: #d1792b;
  border: none;
  position: absolute;
  right: 24px;
  top: 16px;
  z-index: 100;
}

.btn-mute:hover {
  cursor: pointer;
}

.max-width {
  max-width: 800px;
}

.body-impressum {
  font-family: Arial, Helvetica, sans-serif;
}

.impressum-content {
  padding-top: 32px;
  padding-left: 16px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.back-home-btn {
  position: absolute;
  top: 16px;
  right: 16px;
  font-family: "indieFlower";
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 16px 16px;
  border-radius: 12px;
  background-image: url("./icons/arrow_left.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-color: #eac073;
}

.back-home-btn:hover {
  transform: scale(1.05);
}

@media (hover: none) {
  .instruction-wrap {
    display: none;
  }
  .mobile-btn-wrap {
    display: block;
  }
}

@media (max-width: 720px) {
  canvas {
    width: 100%;
  }
}

@media (max-height: 480px) {
  canvas {
    height: 100vh;
  }
  .h1-index {
    display: none;
  }
}

@media (max-width: 480px) {
  .h1-impressum {
    font-size: 32px;
  }
}

@media (max-width: 400px) {
  .max-width {
    max-width: 320px;
  }
}

@media (max-width: 320px) {
  .max-width {
    max-width: 280px;
  }
  h1 {
    font-size: 24px;
  }
}

@media (orientation: portrait) and (max-width: 1024px) {
  .turn-device {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 1);
    z-index: 100;
  }

  .canvas-subline {
    display: none;
  }
}
